Subject: bug#9448: 24.0.50; Comments in Awk scripts not fontified with comment face

From: Glenn Morris <[email-masked]>
Date: Fri, 09 Sep 2011 03:19:48 -0400

Glenn Morris wrote:

> Eli Zaretskii wrote:
>
>> Are you saying that emacs-lisp-byte-compile-and-load's interactive use
>> should be discouraged?  I use it quite frequently to test changes in
>> the same Emacs session where I make those changes.
>
> No; I use it like that too. All I'm saying is, when you download
> someone's foo-mode to install it on your system, foo-mode's installation
> process should compile it using batch mode.

In fact, I'm not even saying that, because for a single, simple foo.el
compiling it in a running Emacs is probably fine. I'm just saying that
if I were compiling something as complex as cc-mode, I'd definitely do
it in batch-mode, and would not try to support the case where an older
cc-mode is already loaded in the compiling Emacs.